Error

## Class Error

- java.lang.Object
- - Error

-     public class Error
      extends java.lang.Object

  error occurred during stamping
  Author:
    413

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `ErrorDescription`
    `private java.lang.Integer` | `ErrorPageNumber`
    `private java.lang.Integer` | `level`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Error(java.lang.Integer errorPageNumber, java.lang.String errorDescription, java.lang.Integer level)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorDescription()` return the description of the error
    `java.lang.Integer` | `getErrorPageNumber()` return the number of the page where the error appended
    `java.lang.Integer` | `getLevel()` return the level of the error
    `void` | `setErrorDescription(java.lang.String errorDescription)` set the description of the error
    `void` | `setErrorPageNumber(java.lang.Integer errorPageNumber)` set the number of the page where the error appended
    `void` | `setLevel(java.lang.Integer level)` set the level of the error
    `java.lang.String` | `toString()` used in the display of WindowResult

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ErrorPageNumber

          private java.lang.Integer ErrorPageNumber

    - #### ErrorDescription

          private java.lang.String ErrorDescription

    - #### level

          private java.lang.Integer level

  - ### Constructor Detail

    - #### Error

          public Error(java.lang.Integer errorPageNumber,
                       java.lang.String errorDescription,
                       java.lang.Integer level)

      Constructor
      Parameters:
        `errorPageNumber` -
        `errorDescription` -
        `level` -

  - ### Method Detail

    - #### getErrorPageNumber

          public java.lang.Integer getErrorPageNumber()

      return the number of the page where the error appended

    - #### setErrorPageNumber

          public void setErrorPageNumber(java.lang.Integer errorPageNumber)

      set the number of the page where the error appended
      Parameters:
        `errorPageNumber` -

    - #### getErrorDescription

          public java.lang.String getErrorDescription()

      return the description of the error
      Returns:
        ErrorDescription

    - #### setErrorDescription

          public void setErrorDescription(java.lang.String errorDescription)

      set the description of the error
      Parameters:
        `errorDescription` -

    - #### getLevel

          public java.lang.Integer getLevel()

      return the level of the error
      Returns:

    - #### setLevel

          public void setLevel(java.lang.Integer level)

      set the level of the error
      Parameters:
        `level` -

    - #### toString

          public java.lang.String toString()

      used in the display of WindowResult
      Overrides:
        `toString` in class `java.lang.Object`